This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 219099 - systemtap broken in FC6
systemtap broken in FC6
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Radek Bíba
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-10 15:45 EST by David Zeuthen
Modified: 2013-03-05 22:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 12:13:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2006-12-10 15:45:57 EST
Trying this example from the man page fails

[davidz@hook ~]$ stap -p2 -e 'probe kernel.function("*") {}' | sort | uniq
semantic error: libdwfl failure (dwfl_linux_kernel_report_kernel): No such file
or directory
Ensure kernel debuginfo is installed
while: resolving probe point kernel.function("*")
Pass 2: analysis failed.  Try again with more '-v' (verbose) options.

[davidz@hook ~]$ rpm -qa |grep kernel
kernel-devel-2.6.18-1.2798.fc6
kernel-2.6.18-1.2849.fc6
kernel-debuginfo-2.6.18-1.2798.fc6
kernel-devel-2.6.18-1.2849.fc6
kernel-headers-2.6.18-1.2849.fc6
kernel-debuginfo-common-2.6.18-1.2798.fc6
kernel-2.6.18-1.2798.fc6

[davidz@hook ~]$ rpm -qa|grep systemtap
systemtap-0.5.10-1.fc6
systemtap-runtime-0.5.10-1.fc6
Comment 1 David Zeuthen 2006-12-11 12:13:58 EST
Ugh, my kernel-debuginfo packages didn't match my kernel packages. It works with
the right packages (and works very well, thanks for systemtap!)

Note You need to log in before you can comment on or make changes to this bug.